package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmLvApplnQueryForm extends HrmBaseForm {
  private String employeeNo;
  
  private String leaveCode;
  
  private String leaveDescription;
  
  private String fromDate;
  
  private String toDate;
  
  private String statusOfLeave;
  
  private String[] txtTransId;
  
  private String[] txtLeaveCodes;
  
  private String[] txtAppliedLeaveDate;
  
  private String[] txtLeaveStatus;
  
  private String transId;
  
  private String selectAll;
  
  private ArrayList arylstLvApplnQuery = new ArrayList();
  
  private String hdnDetailId;
  
  private String txtSearchFields;
  
  private String txtDisplayFields;
  
  private String employeeNoId;
  
  private String leaveTypeId;
  
  private String disabemployeeNo;
  
  private String disableaveCode;
  
  private String disableaveDescription;
  
  private String disabfromDate;
  
  private String disabtoDate;
  
  private String disabstatusOfLeave;
  
  private String disabtxtLeaveCodes;
  
  private String disabtxtAppliedLeaveDate;
  
  private String disabtxtLeaveStatus;
  
  private String disabselectAll;
  
  private String butFromDate;
  
  private String disabbutFromDate;
  
  private String butToDate;
  
  private String disabbutToDate;
  
  private String butEmployeeNo;
  
  private String disabbutEmployeeNo;
  
  private String butLeaveCode;
  
  private String disabbutLeaveCode;
  
  private String disabtxtTransId;
  
  private String butApprove;
  
  private String disabbutApprove;
  
  private String butReject;
  
  private String disabbutReject;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getEmployeeNo() {
    return this.employeeNo;
  }
  
  public void setEmployeeNo(String newEmployeeNo) {
    this.employeeNo = newEmployeeNo;
  }
  
  public String getLeaveCode() {
    return this.leaveCode;
  }
  
  public void setLeaveCode(String newLeaveCode) {
    this.leaveCode = newLeaveCode;
  }
  
  public String getFromDate() {
    return this.fromDate;
  }
  
  public void setFromDate(String newFromDate) {
    this.fromDate = newFromDate;
  }
  
  public String getToDate() {
    return this.toDate;
  }
  
  public void setToDate(String newToDate) {
    this.toDate = newToDate;
  }
  
  public String getStatusOfLeave() {
    return this.statusOfLeave;
  }
  
  public void setStatusOfLeave(String newStatusOfLeave) {
    this.statusOfLeave = newStatusOfLeave;
  }
  
  public String[] getTxtTransId() {
    return this.txtTransId;
  }
  
  public String[] getTxtLeaveCodes() {
    return this.txtLeaveCodes;
  }
  
  public String[] getTxtAppliedLeaveDate() {
    return this.txtAppliedLeaveDate;
  }
  
  public String[] getTxtLeaveStatus() {
    return this.txtLeaveStatus;
  }
  
  public String getLeaveDescription() {
    return this.leaveDescription;
  }
  
  public void setLeaveDescription(String newLeaveDescription) {
    this.leaveDescription = newLeaveDescription;
  }
  
  public void setTxtAppliedLeaveDate(String[] newTxtAppliedLeaveDate) {
    this.txtAppliedLeaveDate = newTxtAppliedLeaveDate;
  }
  
  public void setTxtLeaveCodes(String[] newTxtLeaveCodes) {
    this.txtLeaveCodes = newTxtLeaveCodes;
  }
  
  public void setTxtLeaveStatus(String[] newTxtLeaveStatus) {
    this.txtLeaveStatus = newTxtLeaveStatus;
  }
  
  public void setTxtTransId(String[] newTxtTransId) {
    this.txtTransId = newTxtTransId;
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String getTransId() {
    return this.transId;
  }
  
  public void setTransId(String newTransId) {
    this.transId = newTransId;
  }
  
  public String getHdnDetailId() {
    return this.hdnDetailId;
  }
  
  public void setHdnDetailId(String newHdnDetailId) {
    this.hdnDetailId = newHdnDetailId;
  }
  
  public String getTxtSearchFields() {
    return this.txtSearchFields;
  }
  
  public void setTxtSearchFields(String newTxtSearchFields) {
    this.txtSearchFields = newTxtSearchFields;
  }
  
  public String getTxtDisplayFields() {
    return this.txtDisplayFields;
  }
  
  public void setTxtDisplayFields(String newTxtDisplayFields) {
    this.txtDisplayFields = newTxtDisplayFields;
  }
  
  public String getEmployeeNoId() {
    return this.employeeNoId;
  }
  
  public void setEmployeeNoId(String newEmployeeNoId) {
    this.employeeNoId = newEmployeeNoId;
  }
  
  public String getLeaveTypeId() {
    return this.leaveTypeId;
  }
  
  public void setLeaveTypeId(String newLeaveTypeId) {
    this.leaveTypeId = newLeaveTypeId;
  }
  
  public String getDisabemployeeNo() {
    return this.disabemployeeNo;
  }
  
  public void setDisabemployeeNo(String newDisabemployeeNo) {
    this.disabemployeeNo = newDisabemployeeNo;
  }
  
  public String getDisableaveCode() {
    return this.disableaveCode;
  }
  
  public void setDisableaveCode(String newDisableaveCode) {
    this.disableaveCode = newDisableaveCode;
  }
  
  public String getDisableaveDescription() {
    return this.disableaveDescription;
  }
  
  public void setDisableaveDescription(String newDisableaveDescription) {
    this.disableaveDescription = newDisableaveDescription;
  }
  
  public String getDisabfromDate() {
    return this.disabfromDate;
  }
  
  public void setDisabfromDate(String newDisabfromDate) {
    this.disabfromDate = newDisabfromDate;
  }
  
  public String getDisabtoDate() {
    return this.disabtoDate;
  }
  
  public void setDisabtoDate(String newDisabtoDate) {
    this.disabtoDate = newDisabtoDate;
  }
  
  public String getDisabstatusOfLeave() {
    return this.disabstatusOfLeave;
  }
  
  public void setDisabstatusOfLeave(String newDisabstatusOfLeave) {
    this.disabstatusOfLeave = newDisabstatusOfLeave;
  }
  
  public String getDisabtxtLeaveCodes() {
    return this.disabtxtLeaveCodes;
  }
  
  public String getDisabtxtAppliedLeaveDate() {
    return this.disabtxtAppliedLeaveDate;
  }
  
  public String getDisabtxtLeaveStatus() {
    return this.disabtxtLeaveStatus;
  }
  
  public String getDisabselectAll() {
    return this.disabselectAll;
  }
  
  public void setDisabselectAll(String newDisabselectAll) {
    this.disabselectAll = newDisabselectAll;
  }
  
  public void setDisabtxtLeaveStatus(String newDisabtxtLeaveStatus) {
    this.disabtxtLeaveStatus = newDisabtxtLeaveStatus;
  }
  
  public void setDisabtxtLeaveCodes(String newDisabtxtLeaveCodes) {
    this.disabtxtLeaveCodes = newDisabtxtLeaveCodes;
  }
  
  public void setDisabtxtAppliedLeaveDate(String newDisabtxtAppliedLeaveDate) {
    this.disabtxtAppliedLeaveDate = newDisabtxtAppliedLeaveDate;
  }
  
  public String getButFromDate() {
    return this.butFromDate;
  }
  
  public void setButFromDate(String newButFromDate) {
    this.butFromDate = newButFromDate;
  }
  
  public String getDisabbutFromDate() {
    return this.disabbutFromDate;
  }
  
  public void setDisabbutFromDate(String newDisabbutFromDate) {
    this.disabbutFromDate = newDisabbutFromDate;
  }
  
  public String getButToDate() {
    return this.butToDate;
  }
  
  public void setButToDate(String newButToDate) {
    this.butToDate = newButToDate;
  }
  
  public String getDisabbutToDate() {
    return this.disabbutToDate;
  }
  
  public void setDisabbutToDate(String newDisabbutToDate) {
    this.disabbutToDate = newDisabbutToDate;
  }
  
  public String getButEmployeeNo() {
    return this.butEmployeeNo;
  }
  
  public void setButEmployeeNo(String newButEmployeeNo) {
    this.butEmployeeNo = newButEmployeeNo;
  }
  
  public String getDisabbutEmployeeNo() {
    return this.disabbutEmployeeNo;
  }
  
  public void setDisabbutEmployeeNo(String newDisabbutEmployeeNo) {
    this.disabbutEmployeeNo = newDisabbutEmployeeNo;
  }
  
  public String getButLeaveCode() {
    return this.butLeaveCode;
  }
  
  public void setButLeaveCode(String newButLeaveCode) {
    this.butLeaveCode = newButLeaveCode;
  }
  
  public String getDisabbutLeaveCode() {
    return this.disabbutLeaveCode;
  }
  
  public void setDisabbutLeaveCode(String newDisabbutLeaveCode) {
    this.disabbutLeaveCode = newDisabbutLeaveCode;
  }
  
  public String getDisabtxtTransId() {
    return this.disabtxtTransId;
  }
  
  public void setDisabtxtTransId(String newDisabtxtTransId) {
    this.disabtxtTransId = newDisabtxtTransId;
  }
  
  public String getButApprove() {
    return this.butApprove;
  }
  
  public void setButApprove(String newButApprove) {
    this.butApprove = newButApprove;
  }
  
  public String getDisabbutApprove() {
    return this.disabbutApprove;
  }
  
  public void setDisabbutApprove(String newDisabbutApprove) {
    this.disabbutApprove = newDisabbutApprove;
  }
  
  public String getButReject() {
    return this.butReject;
  }
  
  public void setButReject(String newButReject) {
    this.butReject = newButReject;
  }
  
  public String getDisabbutReject() {
    return this.disabbutReject;
  }
  
  public void setDisabbutReject(String newDisabbutReject) {
    this.disabbutReject = newDisabbutReject;
  }
  
  public ArrayList getArylstLvApplnQuery() {
    return this.arylstLvApplnQuery;
  }
  
  public void setArylstLvApplnQuery(ArrayList newArylstLvApplnQuery) {
    this.arylstLvApplnQuery = newArylstLvApplnQuery;
  }
}
